Summary: (La)TeX menu for emacs.
Name: auctex
Version: 9.10s
Release: 6
Copyright: GPL
Group: Applications/Publishing
Source0: ftp://ftp.dina.kvl.dk/pub/Staff/Per.Abrahamsen/auctex/auctex-%version.tar.gz
Source1: ftp://ftp.dante.de/tex-archive/support/lacheck/lacheck-1.26.tar.gz
Patch0: auctex-9.10s-config.patch
BuildRoot: %{_tmppath}/%name-root
BuildPrereq: emacs
Prereq: /sbin/install-info
requires: emacs

%description
AUC TeX is a comprehensive customizable integrated environment for
writing input files for LaTeX using GNU Emacs.

AUC TeX lets you run TeX/LaTeX and other LaTeX-related tools, such
as a output filters or post processor from inside Emacs. Especially
`running LaTeX' is interesting, as AUC TeX lets you browse through the
errors TeX reported, while it moves the cursor directly to the reported
error, and displays some documentation for that particular error. This
will even work when the document is spread over several files.

%prep
%setup -q -T -b 0
%setup -q -T -D -a 1
%patch -p1 -b .config

%build
make
make contrib
cd doc
make
cd ../lacheck-1.26
make prefix=/usr "CC=gcc" "CFLAGS=$RPM_OPT_FLAGS"

%install 
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/{share/emacs/site-lisp,bin} \
	$RPM_BUILD_ROOT%{_mandir}/man1 \
	$RPM_BUILD_ROOT%{_infodir}

make lispdir=$RPM_BUILD_ROOT/usr/share/emacs/site-lisp \
	prefix=$RPM_BUILD_ROOT/usr \
	mandir=$RPM_BUILD_ROOT%{_mandir}/man1 install

make lispdir=$RPM_BUILD_ROOT/usr/share/emacs/site-lisp \
	prefix=$RPM_BUILD_ROOT/usr install-contrib

cd doc
make infodir=$RPM_BUILD_ROOT%{_infodir} prefix=$RPM_BUILD_ROOT/usr install

cd ../lacheck-1.26
make prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT%{_mandir}/man1 install 

cd ..
gzip -9qnf $RPM_BUILD_ROOT%{_infodir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/auctex.gz %{_infodir}/dir \
 --entry "* Auctex: (auctex).             A much enhanced LaTeX mode for GNU Emacs"

%preun
/sbin/install-info --delete %{_infodir}/auctex.gz %{_infodir}/dir \
 --entry "* Auctex: (auctex).             A much enhanced LaTeX mode for GNU Emacs"

%files
%defattr(-,root,root)
%config /usr/share/emacs/site-lisp/tex-site.el
/usr/share/emacs/site-lisp/auctex
%doc COPYING PROBLEMS ChangeLog INSTALLATION README
%doc doc/{auc-tex.dvi,math-ref.dvi,tex-ref.dvi}
%{_infodir}/auctex*
/usr/bin/lacheck
%{_mandir}/*/lacheck.1*

%changelog
* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- fix tex-site.el (Bug #15622), thanks to Torsten

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Tue Jul 11 2000 Than Ngo <than@redhat.de>
- use RPMS macros

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 19 2000 Ngo Than <than@redhat.de>
- update auctex-9.10s for powertools 7.0
- manpages and infofile now under /usr/share
- add requires emacs
- Buildroot /var/tmp

* Thu Nov 25 1999 Ngo Than <than@redhat.de>
- adapted for powertools-6.2
